
#pragma once

#include "Vec4.h"


struct Matrix4x4
{
	float m[4u][4u];

	void Identity(void);
	void RotateX(float angle);
	void RotateY(float angle);
	void RotateZ(float angle);
	void Scale(float scale);
	void Multiply(const Matrix4x4& other);
	Vec4 Transform(const Vec4& other) const;
};
